org.eclipse.rdf4j.model

## Class AbstractModelPerformanceTest

- java.lang.Object
- - org.eclipse.rdf4j.model.ModelTest
  - - org.eclipse.rdf4j.model.AbstractModelPerformanceTest

-     public abstract class AbstractModelPerformanceTest
      extends ModelTest

  Author:
    Peter Ansell

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.model.ModelTest

      `bnode1, bnode2, bnode3, literal1, literal2, literal3, uri1, uri2, uri3, vf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractModelPerformanceTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testPerfAddAll()` Test method for `Set.addAll(java.util.Collection)`.
    `void` | `testPerfAddE()` Test method for `Set.add(java.lang.Object)`.
    `void` | `testPerfAddResourceURIValueResourceArray()` Test method for `Model.add(org.eclipse.rdf4j.model.Resource, org.eclipse.rdf4j.model.IRI, org.eclipse.rdf4j.model.Value, org.eclipse.rdf4j.model.Resource[])` .
    `void` | `testPerfClear()` Test method for `Set.clear()`.
    `void` | `testPerfClearResourceArray()` Test method for `Model.clear(org.eclipse.rdf4j.model.Resource[])`.
    `void` | `testPerfContainsAll()` Test method for `Set.containsAll(java.util.Collection)`.
    `void` | `testPerfContainsObject()` Test method for `Set.contains(java.lang.Object)`.
    `void` | `testPerfContainsResourceURIValueResourceArray()` Test method for `Model.contains(org.eclipse.rdf4j.model.Resource, org.eclipse.rdf4j.model.IRI, org.eclipse.rdf4j.model.Value, org.eclipse.rdf4j.model.Resource[])` .
    `void` | `testPerfContexts()` Test method for `Model.contexts()`.
    `void` | `testPerfFilter()` Test method for `Model.filter(org.eclipse.rdf4j.model.Resource, org.eclipse.rdf4j.model.IRI, org.eclipse.rdf4j.model.Value, org.eclipse.rdf4j.model.Resource[])` .
    `void` | `testPerfGetNamespace()` Test method for `NamespaceAware.getNamespace(java.lang.String)`.
    `void` | `testPerfGetNamespaces()` Test method for `NamespaceAware.getNamespaces()`.
    `void` | `testPerfIsEmpty()` Test method for `Set.isEmpty()`.
    `void` | `testPerfIterator()` Test method for `Set.iterator()`.
    `void` | `testPerfObjects()` Test method for `Model.objects()`.
    `void` | `testPerfPredicates()` Test method for `Model.predicates()`.
    `void` | `testPerfRemoveAll()` Test method for `Set.removeAll(java.util.Collection)`.
    `void` | `testPerfRemoveIf()` Test method for `Collection.removeIf(java.util.function.Predicate)`.
    `void` | `testPerfRemoveNamespace()` Test method for `Model.removeNamespace(java.lang.String)`.
    `void` | `testPerfRemoveObject()` Test method for `Set.remove(java.lang.Object)`.
    `void` | `testPerfRemoveResourceURIValueResourceArray()` Test method for `Model.remove(org.eclipse.rdf4j.model.Resource, org.eclipse.rdf4j.model.IRI, org.eclipse.rdf4j.model.Value, org.eclipse.rdf4j.model.Resource[])` .
    `void` | `testPerfRetainAll()` Test method for `Set.retainAll(java.util.Collection)`.
    `void` | `testPerfSetNamespaceNamespace()` Test method for `Model.setNamespace(org.eclipse.rdf4j.model.Namespace)`.
    `void` | `testPerfSetNamespaceStringString()` Test method for `Model.setNamespace(java.lang.String, java.lang.String)` .
    `void` | `testPerfSize()` Test method for `Set.size()`.
    `void` | `testPerfSubjects()` Test method for `Model.subjects()`.

    - ### Methods inherited from class org.eclipse.rdf4j.model.ModelTest

      `getNewEmptyModel, getNewModel, getNewModelObjectDoubleBNode, getNewModelObjectDoubleLiteral, getNewModelObjectDoubleURI, getNewModelObjectSingleBNode, getNewModelObjectSingleBNodeDoubleLiteral, getNewModelObjectSingleBNodeDoubleURI, getNewModelObjectSingleLiteral, getNewModelObjectSingleLiteralDoubleBNode, getNewModelObjectSingleLiteralDoubleURI, getNewModelObjectSingleLiteralSingleBNode, getNewModelObjectSingleLiteralSingleURI, getNewModelObjectSingleLiteralSingleURISingleBNode, getNewModelObjectSingleURI, getNewModelObjectSingleURIDoubleBNode, getNewModelObjectSingleURIDoubleLiteral, getNewModelObjectSingleURISingleBNode, getNewModelObjectTripleBNode, getNewModelObjectTripleLiteral, getNewModelObjectTripleURI, getNewModelTwoContexts, testContainsSingleLiteral, testContexts, testEqualsHashcode, testEqualsVsIsomorphic, testFilter_AddToEmptyFilteredModel, testFilter_AddToEmptyOriginalModel, testFilter_AddToNonEmptyFilteredModel, testFilter_AddToOriginalModel, testFilter_RemoveFromFilter, testFilter_RemoveFromOriginal, testFilterSingleLiteral, testGetStatements_AddToEmptyModel, testGetStatements_ConcurrentModificationOfModel, testGetStatements_IteratorModification, testGetStatements_SingleLiteral, testObjects, testPredicates, testSubjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractModelPerformanceTest

          public AbstractModelPerformanceTest()

  - ### Method Detail

    - #### setUp

          @BeforeAll
          public void setUp()
                                throws Exception

      Overrides:
        `setUp` in class `ModelTest`
      Throws:
        `Exception`

    - #### tearDown

          @AfterAll
          public void tearDown()
                                  throws Exception

      Overrides:
        `tearDown` in class `ModelTest`
      Throws:
        `Exception`

    - #### testPerfAddResourceURIValueResourceArray

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfAddResourceURIValueResourceArray()

      Test method for `Model.add(org.eclipse.rdf4j.model.Resource, org.eclipse.rdf4j.model.IRI, org.eclipse.rdf4j.model.Value, org.eclipse.rdf4j.model.Resource[])` .

    - #### testPerfGetNamespaces

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfGetNamespaces()

      Test method for `NamespaceAware.getNamespaces()`.

    - #### testPerfGetNamespace

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfGetNamespace()

      Test method for `NamespaceAware.getNamespace(java.lang.String)`.

    - #### testPerfSetNamespaceStringString

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfSetNamespaceStringString()

      Test method for `Model.setNamespace(java.lang.String, java.lang.String)` .

    - #### testPerfSetNamespaceNamespace

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfSetNamespaceNamespace()

      Test method for `Model.setNamespace(org.eclipse.rdf4j.model.Namespace)`.

    - #### testPerfRemoveNamespace

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfRemoveNamespace()

      Test method for `Model.removeNamespace(java.lang.String)`.

    - #### testPerfContainsResourceURIValueResourceArray

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfContainsResourceURIValueResourceArray()

      Test method for `Model.contains(org.eclipse.rdf4j.model.Resource, org.eclipse.rdf4j.model.IRI, org.eclipse.rdf4j.model.Value, org.eclipse.rdf4j.model.Resource[])` .

    - #### testPerfClearResourceArray

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfClearResourceArray()

      Test method for `Model.clear(org.eclipse.rdf4j.model.Resource[])`.

    - #### testPerfRemoveResourceURIValueResourceArray

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfRemoveResourceURIValueResourceArray()

      Test method for `Model.remove(org.eclipse.rdf4j.model.Resource, org.eclipse.rdf4j.model.IRI, org.eclipse.rdf4j.model.Value, org.eclipse.rdf4j.model.Resource[])` .

    - #### testPerfFilter

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfFilter()

      Test method for `Model.filter(org.eclipse.rdf4j.model.Resource, org.eclipse.rdf4j.model.IRI, org.eclipse.rdf4j.model.Value, org.eclipse.rdf4j.model.Resource[])` .

    - #### testPerfSubjects

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfSubjects()

      Test method for `Model.subjects()`.

    - #### testPerfPredicates

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfPredicates()

      Test method for `Model.predicates()`.

    - #### testPerfObjects

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfObjects()

      Test method for `Model.objects()`.

    - #### testPerfContexts

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfContexts()

      Test method for `Model.contexts()`.

    - #### testPerfIterator

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfIterator()

      Test method for `Set.iterator()`.

    - #### testPerfSize

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfSize()

      Test method for `Set.size()`.

    - #### testPerfIsEmpty

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfIsEmpty()

      Test method for `Set.isEmpty()`.

    - #### testPerfContainsObject

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfContainsObject()

      Test method for `Set.contains(java.lang.Object)`.

    - #### testPerfAddE

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfAddE()

      Test method for `Set.add(java.lang.Object)`.

    - #### testPerfRemoveObject

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfRemoveObject()

      Test method for `Set.remove(java.lang.Object)`.

    - #### testPerfContainsAll

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfContainsAll()

      Test method for `Set.containsAll(java.util.Collection)`.

    - #### testPerfAddAll

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfAddAll()

      Test method for `Set.addAll(java.util.Collection)`.

    - #### testPerfRemoveAll

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfRemoveAll()

      Test method for `Set.removeAll(java.util.Collection)`.

    - #### testPerfRetainAll

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfRetainAll()

      Test method for `Set.retainAll(java.util.Collection)`.

    - #### testPerfClear

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfClear()

      Test method for `Set.clear()`.

    - #### testPerfRemoveIf

          @Disabled(value="TODO: Implement me!")
           @Test
          public final void testPerfRemoveIf()

      Test method for `Collection.removeIf(java.util.function.Predicate)`.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.